@import './vars.scss';

:root {
  --block-indent-main: 20px;
  --block-background-main: #FFF;
  --input-height-big: 40px;
  --input-height-small: 30px;
  --text-color-main: rgb(139, 139, 139);
  --text-color-primary: #4d4c4c;
  --control-color-primary: #00BFFF;
  --text-size-main: 14px;
  --alt-color-1: rgb(190, 190, 190);
  --alt-color-2: #DFE3E6;
  --hover-icon-color: #fff;
  --back-color-main: #fff;
  --color-checked: #50B9A1;
  --color-alarm: #F42B74;
  --content-width-max: 1400px;
  --header-height: 50px;
  --sider-width: 240px;
  --tablet-width-max: 980px;
  --icon-button-size: 30px;
  --tooltip-back-color: rgba(51, 51, 51, 0.8);
  --main-menu-links-color: #666;
  --main-menu-links-color-hover: #000;
  --background-dark: #2f2f31;
}


html, body {
  margin: 0;
  padding: 0;
  font-family: 'Montserrat', sans-serif;
}

a:hover,
a:active {
  color: var(--control-color-primary) !important;
  outline: none !important;
  text-decoration: none !important;
}


:global .ant-layout {
  background: transparent;
}

:global .ant-card {
  padding: 30px 0;
  box-shadow: 0 1px 8px rgba(0, 0, 0, 0.085);
}

:global .ant-card-body {
  padding: 40px;
}

:global .ant-form,
:global .ant-form-item,
:global .ant-checkbox-wrapper,
:global button, :global input, :global optgroup, :global select, :global textarea,
:global .ant-badge,
:global .ant-breadcrumb,
:global .ant-card,
:global .ant-menu,
:global .ant-notification,
:global .ant-select,
:global .ant-modal,
:global .ant-radio,
:global .ant-radio-wrapper,
:global .ant-radio-button-wrapper,
:global .ant-table,
:global .ant-calendar,
:global .ant-calendar-picker-container,
:global .ant-dropdown,
:global .ant-select-dropdown,
:global .ant-popover {
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
}

:global .ant-table,
:global .ant-form-item,
:global .ant-checkbox-wrapper,
:global .ant-modal {
  color: var(--text-color-main);
}

:global .ant-tag {
  font-family: 'Montserrat', sans-serif;
  font-weight: 300;
}

:global .ant-form-item {
  margin-bottom: 10px;
}

:global .ant-input,
:global .ant-select-selection,
:global .ant-select-auto-complete.ant-select .ant-input {
  border-radius: 3px;
  border-color: var(--alt-color-2);
  font-family: 'Montserrat', sans-serif;
  height: var(--input-height-big);
  line-height: 1.5;
  font-weight: 300;
  font-size: var(--text-size-main);
  color: var(--text-color-primary);

  &:global.ant-select-selection,
  &:global.ant-calendar-picker-input {
    border-color: #DEE4EC;
  }

  &:global.ant-select-selection.ant-select-selection--multiple {
    height: auto;
    min-height: var(--input-height-big);
  }

  &:global.ant-select-selection--multiple {
    border-color: var(--alt-color-2);
  }

  &:global.ant-input-sm {
    height: var(--input-height-small);
  }
}

:global .ant-select-selection {
  display: flex;
  align-items: center;
}

:global .ant-select-auto-complete.ant-select .ant-select-selection__rendered {
  line-height: var(--input-height-big);
}

:global .ant-radio-inner {
  border-color: #B4BFC9;
}

:global .ant-checkbox-checked .ant-checkbox-inner,
:global .ant-checkbox-indeterminate .ant-checkbox-inner {
  background-color: transparent;
  border-color: var(--control-color-primary);
}

:global .ant-checkbox-checked:after {
  border-color: var(--control-color-primary);
}

:global .ant-checkbox-checked .ant-checkbox-inner:after {
  border-color: var(--control-color-primary);
}

:global .ant-radio-checked .ant-radio-inner {
  border-color: var(--control-color-primary);
}

:global .ant-checkbox-indeterminate .ant-checkbox-inner:after {
  background-color: var(--control-color-primary);
}

:global .ant-radio-inner:after {
  width: 6px;
  height: 6px;
  left: 4px;
  top: 4px;
  background-color: var(--control-color-primary);
}

:global .ant-radio-wrapper:hover .ant-radio {
  border-color: var(--control-color-primary);
}

:global .ant-radio-input:focus + .ant-radio-inner {
  border-color: var(--control-color-primary);
}

:global .ant-radio:hover .ant-radio-inner {
  border-color: var(--control-color-primary);
}

:global .ant-radio-input:focus + .ant-radio-inner {
  box-shadow: 0 0 0 3px rgba(245, 197, 124, 0.08);
}

:global .ant-radio-checked::after {
  border: 1px solid var(--control-color-primary);
}

:global html {
  --antd-wave-shadow-color: var(--control-color-primary);
}

:global .ant-calendar-selected-date .ant-calendar-date,
:global .ant-calendar-selected-start-date .ant-calendar-date,
:global .ant-calendar-selected-end-date .ant-calendar-date {
  background: var(--control-color-primary);
}

:global .has-error.ant-input,
:global .has-error.ant-input:hover,
:global .has-error.ant-input,
:global .has-error.ant-input:hover {
  border-color: var(--color-alarm);

  &:focus {
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 6px #f98cb4;
  }
}

:global .ant-form {
  margin-bottom: -8px;
}

:global .has-error .ant-form-explain,
:global .has-error .ant-form-split {
  color: var(--color-alarm);
}

:global .ant-input:focus,
:global .ant-select-selection:focus,
:global .ant-select-focused .ant-select-selection {
  box-shadow: 0 0 4px 0 rgba(0,168,255,.19);
  outline: none;
  outline-offset: 0;
  border-color: var(--control-color-primary);
}

:global .ant-input-lg,
:global .ant-btn-lg {
  height: 50px;

  :global .anticon {
    font-size: 18px;
  }
}

:global .ant-btn:focus,
:global .ant-btn:hover {
  background-color: rgba(0, 0, 0, 0.0175);
}

:global .ant-btn-primary,
:global .ant-radio-group-solid .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled) {
  background-color: var(--control-color-primary);
  border-color: var(--control-color-primary);
  color: #ffffff;
}

:global .ant-radio-group-solid .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):focus,
:global .ant-radio-group-solid .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):hover,
:global .ant-btn-primary:focus,
:global .ant-btn-primary:hover {
  background-color: #00a2ff;
  border-color: #00a2ff;
}

:global .ant-btn.disabled,
:global .ant-btn.disabled.active,
:global .ant-btn.disabled:active,
:global .ant-btn.disabled:focus,
:global .ant-btn.disabled:hover,
:global .ant-btn[disabled],
:global .ant-btn[disabled].active,
:global .ant-btn[disabled]:active,
:global .ant-btn[disabled]:focus,
:global .ant-btn[disabled]:hover {
  background-color: var(--back-color-main);
}

:global .ant-radio-button-wrapper {
  height: var(--input-height-small);
  border-color: var(--alt-color-2);

  &:first-child {
    border-radius: 2px 0 0 2px;
    border-left-color: var(--alt-color-2);
  }

  &:last-child {
    border-radius: 0 2px 2px 0;
  }
}

:global .ant-table-thead > tr.ant-table-row-hover > td,
:global .ant-table-tbody > tr.ant-table-row-hover > td,
:global .ant-table-thead > tr:hover > td,
:global .ant-table-tbody > tr:hover > td,
:global .ant-select-dropdown-menu-item:hover,
:global .ant-select-dropdown-menu-item-active,
:global .ant-calendar-date:hover,
:global .ant-calendar-range .ant-calendar-in-range-cell:before {
  background: #E5F3FF;
}

:global .has-success .ant-input,
:global .has-success .ant-input:hover {
  border-color: var(--control-color-primary);

  &:focus {
    box-shadow: 0 0 4px 0 rgba(13,164,113,.15)
  }
}

:global .ant-popover-title {
  border-bottom: none;
  color: var(--text-color-primary);
  padding: 15px var(--block-indent-main) 0 var(--block-indent-main);
  margin-bottom: -5px;
}

:global .ant-popover-inner {
  box-shadow: 0 0 7px rgba(0, 0, 0, 0.3);
}

:global .ant-popover-inner-content {
  padding: var(--block-indent-main);
}

:global .ant-calendar-range {
  overflow: visible;
}

:global .ant-tag {
  font-size: var(--text-size-main);
  height: 30px;
  line-height: 30px;

  &:global.status {
    margin: 0;
    padding: 0 14px;
    line-height: 18px;
    height: 20px;
    border-radius: 13.5px;
    background: transparent !important;
    cursor: default;
  }

  &.ant-tag-green {
    color: #239D82;
    opacity: 0.8;
    border-color: rgba(35, 157, 130, 0.4);
  }

  &.ant-tag-yellow {
    color: #E1C65B;
    border-color: #EBCB4C;
  }

  &.ant-tag-red {
    color: var(--color-alarm);
    border-color: var(--color-alarm);
  }
}

:global .ant-modal-mask {
  background: rgba(2%, 2%, 2%, 0.2);
}

:global .ant-modal-content {
  border-radius: 5px;
}

:global .ant-layout.ant-layout-has-sider > .ant-layout {
  overflow-x: visible;
}
:global .ant-layout.ant-layout-has-sider > .ant-layout-content {
  overflow-x: visible;
}

:global .ant-btn-lg,
:global .ant-select-combobox .ant-select-search--inline {
  height: var(--input-height-big);
}

:global .ant-input-group {
  :last-child {
    :global .ant-input.ant-select-search__field {
      border-top-left-radius: 0;
      border-bottom-left-radius: 0;
    }
  }

  > * :first-child {
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
  }

  > * :last-child {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }
}

:global form :not( .ant-input-group-wrapper) > .ant-input-group {
  top: 0;
}


:global .ant-badge-count {
  min-width: 15px;
  height: 15px;
  padding: 0;
  top: -6px;
  right: 2px;
  line-height: 14px;
  font-size: 10px;
  background: var(--color-alarm);
  box-shadow: none;
}

:global .ant-calendar-range-picker-separator {
  vertical-align: middle;
}

:global .ant-tooltip-inner {
  background-color: var(--tooltip-back-color);
  padding: 6px 10px;
}

:global .ant-tooltip-placement-top .ant-tooltip-arrow,
:global .ant-tooltip-placement-topLeft .ant-tooltip-arrow,
:global .ant-tooltip-placement-topRight .ant-tooltip-arrow {
  border-top-color: var(--tooltip-back-color);
}

:global .ant-tooltip-placement-right .ant-tooltip-arrow,
:global .ant-tooltip-placement-rightTop .ant-tooltip-arrow,
:global .ant-tooltip-placement-rightBottom .ant-tooltip-arrow {
  border-right-color: var(--tooltip-back-color);
}
:global .ant-tooltip-placement-left .ant-tooltip-arrow,
:global .ant-tooltip-placement-leftTop .ant-tooltip-arrow,
:global .ant-tooltip-placement-leftBottom .ant-tooltip-arrow {
  border-left-color: var(--tooltip-back-color);
}
:global .ant-tooltip-placement-bottom .ant-tooltip-arrow,
:global .ant-tooltip-placement-bottomLeft .ant-tooltip-arrow,
:global .ant-tooltip-placement-bottomRight .ant-tooltip-arrow {
  border-bottom-color: var(--tooltip-back-color);
}

:global .ant-notification {
  z-index: 100000;
}

